<?php
/* This file is part of "logger".
 *    Copyright 2009, arNuméral
 *    Author : Yoran Brault
 *    eMail  : yoran.brault@bad_arnumeral.fr (remove bad_ before sending an email)
 *    Site   : http://www.arnumeral.fr/node/5
 *
 * "logger" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "logger" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "Broken Anchor for Node comments Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
 
if (!function_exists("logger_trace")) {
  function logger_trace($level, $prefix, $message) {
    if (module_exists("logger")) {
      _logger_trace($level, $prefix, $message);
    }
  }
  
  function logger_error($prefix, $message) {
    if (module_exists("logger")) {
      _logger_trace(LEVEL_ERROR, $prefix, $message);
    }
  }

  function logger_warning($prefix, $message) {
    if (module_exists("logger")) {
      _logger_trace(LEVEL_WARNING, $prefix, $message);
    }
  }

  function logger_debug($prefix, $message) {
    if (module_exists("logger")) {
      _logger_trace(LEVEL_DEBUG, $prefix, $message);
    }
  }

  function logger_info($prefix, $message) {
    if (module_exists("logger")) {
      _logger_trace(LEVEL_INFO, $prefix, $message);
    }
  }

  function logger_is_debug() {
    if (module_exists("logger")) {
      return _logger_is_filtered(LEVEL_DEBUG);
    } else {
      return false;
    }
  }

  function logger_is_info() {
    if (module_exists("logger")) {
      return logger_is_filtered(LEVEL_INFO);
    } else {
      return false;
    }
  }

}